## udt 4.8

=== app/Makefile ===
C++ = g++

ifndef os
   os = LINUX
endif

ifndef arch
   arch = IA32
endif

CCFLAGS = -Wall -D$(os) -I../src -finline-functions -O3

ifeq ($(arch), IA32)
   CCFLAGS += -DIA32 #-mcpu=pentiumpro -march=pentiumpro -mmmx -msse
endif

ifeq ($(arch), POWERPC)
   CCFLAGS += -mcpu=powerpc
endif

ifeq ($(arch), IA64)
   CCFLAGS += -DIA64
endif

LDFLAGS = -L../src -ludt -lstdc++ -lpthread -lm

ifeq ($(os), UNIX)
   LDFLAGS += -lsocket
endif

DIR = $(shell pwd)

APP = appserver appclient sendfile recvfile test

all: $(APP)

%.o: %.cpp
	$(C++) $(CCFLAGS) $< -c

appserver: appserver.o
	$(C++) $^ -o $@ $(LDFLAGS)
appclient: appclient.o
	$(C++) $^ -o $@ $(LDFLAGS)
sendfile: sendfile.o
	$(C++) $^ -o $@ $(LDFLAGS)
recvfile: recvfile.o
	$(C++) $^ -o $@ $(LDFLAGS)
test: test.o
	$(C++) $^ -o $@ $(LDFLAGS)

clean:
	rm -f *.o $(APP)

install:
	export PATH=$(DIR):$$PATH

=== src/Makefile ===
C++ = g++ 

ifndef os
   os = LINUX
endif

ifndef arch
   arch = IA32
endif

CCFLAGS = -fPIC -Wall -Wextra -D$(os) -finline-functions -O3 -fno-strict-aliasing #-msse3

ifeq ($(arch), IA32)
   CCFLAGS += -DIA32
endif

ifeq ($(arch), POWERPC)
   CCFLAGS += -mcpu=powerpc
endif

ifeq ($(arch), SPARC)
   CCFLAGS += -mcpu=sparc
endif

ifeq ($(arch), IA64)
   CCFLAGS += -DIA64
endif

ifeq ($(arch), AMD64)
   CCFLAGS += -DAMD64
endif

OBJS = md5.o common.o window.o list.o buffer.o packet.o channel.o queue.o ccc.o cache.o core.o epoll.o api.o
DIR = $(shell pwd)

all: libudt.so libudt.a udt

%.o: %.cpp %.h udt.h
	$(C++) $(CCFLAGS) $< -c

libudt.so: $(OBJS)
ifneq ($(os), OSX)
	$(C++) -shared -o $@ $^
else
	$(C++) -dynamiclib -o libudt.dylib -lstdc++ -lpthread -lm $^
endif

libudt.a: $(OBJS)
	ar -rcs $@ $^

udt:
	cp udt.h udt

clean:
	rm -f *.o *.so *.dylib *.a udt

install:
	export LD_LIBRARY_PATH=$(DIR):$$LD_LIBRARY_PATH

=== debian/changelog ===
udt (4.8-2) unstable; urgency=low

  * [e94c560] Restrict supported architectures to i386 and amd64 (Closes: #624406)

 -- Jon Bernard <jbernard@debian.org>  Sat, 04 Jun 2011 14:19:17 -0400

udt (4.8-1) unstable; urgency=low

  * Initial release (Closes: #612544)

 -- Jon Bernard <jbernard@debian.org>  Sun, 27 Mar 2011 10:15:42 -0400

=== debian/control ===
Source: udt
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: libs
Homepage: http://udt.sourceforge.net
Vcs-Git: git://git.debian.org/collab-maint/udt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/udt.git;a=summary

Package: libudt-dev
Section: libdevel
Architecture: i386 amd64
Depends: libudt0 (= ${binary:Version}), ${misc:Depends}
Description: UDP-based Data Transfer Protocol - development files
 UDT is a reliable UDP based application level data transport protocol for
 distributed data intensive applications over wide area high-speed networks.
 UDT uses UDP to transfer bulk data with its own reliability control and
 congestion control mechanisms. The new protocol can transfer data at a much
 higher speed than TCP does. UDT is also a highly configurable framework that
 can accommodate various congestion control algorithms.
 .
 Install this package if you wish to develop your own programs using the
 UDP-based data transfer protocol library.

Package: libudt0
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UDP-based Data Transfer Protocol
 UDT is a reliable UDP based application level data transport protocol for
 distributed data intensive applications over wide area high-speed networks.
 UDT uses UDP to transfer bulk data with its own reliability control and
 congestion control mechanisms. The new protocol can transfer data at a much
 higher speed than TCP does. UDT is also a highly configurable framework that
 can accommodate various congestion control algorithms.

## udt 4.9

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 ifeq ($(arch), SPARC)
-   CCFLAGS += -mcpu=sparc
+   CCFLAGS += -DSPARC
 endif
 
 ifeq ($(arch), IA64)

=== debian/changelog ===
udt (4.9-2) unstable; urgency=low

  * [50662a3] Remove commented lines from install files
  * [9145770] Move header files to avoid collisions (Closes: #646777)

 -- Jon Bernard <jbernard@debian.org>  Fri, 18 Nov 2011 13:16:56 -0500

udt (4.9-1) unstable; urgency=low

  * [0790269] New upstream version 4.9
  * [166374a] Bump Standards-Version to 3.9.2, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Wed, 31 Aug 2011 23:31:06 -0400

## udt 4.10+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-C++ = g++ 
+C++ = g++ -g
 
 ifndef os
    os = LINUX

=== debian/changelog ===
udt (4.10+dfsg-1) unstable; urgency=low

  * [37b891f] Remove non-free IETF document (Closes: #654440)

 -- Jon Bernard <jbernard@debian.org>  Sun, 08 Jan 2012 14:09:20 -0500

udt (4.10-1) unstable; urgency=low

  * [3d2a81a] New upstream version 4.10

 -- Jon Bernard <jbernard@debian.org>  Sun, 01 Jan 2012 19:18:09 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://udt.sourceforge.net
 Vcs-Git: git://git.debian.org/collab-maint/udt.git

## udt 4.11%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: udt
-Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
 Section: libs
-Homepage: http://udt.sourceforge.net
-Vcs-Git: git://git.debian.org/collab-maint/udt.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/udt.git;a=summary
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/udt
+Vcs-Git: https://salsa.debian.org/debian/udt.git
+Homepage: https://udt.sourceforge.net
 
 Package: libudt-dev
+Architecture: any
 Section: libdevel
-Architecture: i386 amd64
-Depends: libudt0 (= ${binary:Version}), ${misc:Depends}
+Depends: libudt0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: UDP-based Data Transfer Protocol - development files
  UDT is a reliable UDP based application level data transport protocol for
  distributed data intensive applications over wide area high-speed networks.
@@ -24,8 +25,9 @@
  UDP-based data transfer protocol library.
 
 Package: libudt0
-Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: UDP-based Data Transfer Protocol
  UDT is a reliable UDP based application level data transport protocol for
  distributed data intensive applications over wide area high-speed networks.

## udt 4.11+dfsg

=== Makefile ===
DIRS = src app
TARGETS = all clean install

$(TARGETS): %: $(patsubst %, %.%, $(DIRS))

$(foreach TGT, $(TARGETS), $(patsubst %, %.$(TGT), $(DIRS))):
	$(MAKE) -C $(subst ., , $@)

=== debian/changelog ===
udt (4.11+dfsg-1ubuntu1) saucy; urgency=low

  * 0001-Link-against-libpthread.patch: Fix linking with --as-needed.
  * 0002-Set-soname-on-shared-library.patch: Rebase against the above.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 14 Sep 2013 15:49:33 -0400

udt (4.11+dfsg-1) unstable; urgency=low

  * [eb258e1] New upstream version 4.11+dfsg
  * [d573fb0] Bump Standards-Version to 3.9.4, no changes required
  * [a45e89b] Update VCS URIs

 -- Jon Bernard <jbernard@debian.org>  Mon, 01 Jul 2013 20:36:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: udt
-Maintainer: Jon Bernard <jbernard@debian.org>
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
 Section: libs
-Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/debian/udt
-Vcs-Git: https://salsa.debian.org/debian/udt.git
-Homepage: https://udt.sourceforge.net
+Homepage: http://udt.sourceforge.net
+Vcs-Git: git://anonscm.debian.org/collab-maint/udt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/udt.git;a=summary
 
 Package: libudt-dev
-Architecture: any
 Section: libdevel
-Depends: libudt0 (= ${binary:Version}),
-         ${misc:Depends}
+Architecture: i386 amd64
+Depends: libudt0 (= ${binary:Version}), ${misc:Depends}
 Description: UDP-based Data Transfer Protocol - development files
  UDT is a reliable UDP based application level data transport protocol for
  distributed data intensive applications over wide area high-speed networks.
@@ -25,9 +25,8 @@
  UDP-based data transfer protocol library.
 
 Package: libudt0
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Architecture: i386 amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: UDP-based Data Transfer Protocol
  UDT is a reliable UDP based application level data transport protocol for
  distributed data intensive applications over wide area high-speed networks.

=== debian/watch ===
version=3
http://sf.net/udt/udt.sdk.([\d\.]+)\.tar\.(?:gz|bz2)

## udt 4.11+dfsg1

=== app/Makefile ===
--- 
+++ 
@@ -22,10 +22,18 @@
    CCFLAGS += -DIA64
 endif
 
+ifeq ($(arch), SPARC)
+   CCFLAGS += -DSPARC
+endif
+
 LDFLAGS = -L../src -ludt -lstdc++ -lpthread -lm
 
 ifeq ($(os), UNIX)
    LDFLAGS += -lsocket
+endif
+
+ifeq ($(os), SUNOS)
+   LDFLAGS += -lrt -lsocket
 endif
 
 DIR = $(shell pwd)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-C++ = g++ -g
+C++ = g++
 
 ifndef os
    os = LINUX
@@ -8,7 +8,7 @@
    arch = IA32
 endif
 
-CCFLAGS = -fPIC -Wall -Wextra -D$(os) -finline-functions -O3 -fno-strict-aliasing #-msse3
+CCFLAGS = -fPIC -Wall -Wextra -D$(os) -finline-functions -O3 -fno-strict-aliasing -fvisibility=hidden
 
 ifeq ($(arch), IA32)
    CCFLAGS += -DIA32
@@ -30,7 +30,7 @@
    CCFLAGS += -DAMD64
 endif
 
-OBJS = md5.o common.o window.o list.o buffer.o packet.o channel.o queue.o ccc.o cache.o core.o epoll.o api.o
+OBJS = api.o buffer.o cache.o ccc.o channel.o common.o core.o epoll.o list.o md5.o packet.o queue.o window.o
 DIR = $(shell pwd)
 
 all: libudt.so libudt.a udt

=== debian/changelog ===
udt (4.11+dfsg1-2) unstable; urgency=medium

  * Team upload of Debian team
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Use secure URI in Homepage field.
  * Replace XC-Package-Type with Package-Type.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * watch file standard 4 (routine-update)
  * d/copyright: review
  * Enable parallel build
    Closes: #1105672
  * Permit failure of blhc in Salsa CI

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jul 2025 11:04:09 +0200

udt (4.11+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Guillem Jover ]
  * Enable portability beyond i386 and amd64 (Closes: #646778)

  [ Adam Conrad ]
  * Fix FBTFS with --as-needed (Closes: #722958)

  [ Helmut Grohne ]
  * Use CXX as C++ compiler name variable (Closes: #994675)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 24 Jan 2025 02:23:06 +0100

udt (4.11+dfsg1-1) unstable; urgency=medium

  * [6a9ee10] New upstream version 4.11+dfsg1 (Closes: #753832)
  * [40965d5] Fix watchfile mangling of dfsg in version string
  * [968679e] Correct format entry in copyright
  * [2d0ac95] Exclude non-dfsg document when creating source tarball

 -- Jon Bernard <jbernard@debian.org>  Fri, 19 Sep 2014 12:15:06 -0400

udt (4.11+dfsg-2) unstable; urgency=medium

  * [68fe5e7] Mangle debian version in watch file
  * Rebuild against dfsg-free source (Closes: #753832)

 -- Jon Bernard <jbernard@debian.org>  Wed, 13 Aug 2014 11:21:30 -0400

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	mv src/libudt.so src/libudt.so.0.0.0
	dh_install --sourcedir=$(CURDIR)

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg([\d]*)$// \
  http://sf.net/udt/udt.sdk.([\d\.]+)\.tar\.(?:gz|bz2)
